Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1299810 - SCSI: fix bug in scsi_dev_info_list matching
Summary: SCSI: fix bug in scsi_dev_info_list matching
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-19 10:14 UTC by Giulio Bernardi
Modified: 2016-02-01 06:27 UTC (History)
6 users (show)

Fixed In Version: kernel-4.3.3-303.fc23 kernel-4.3.4-200.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 18:24:30 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Giulio Bernardi 2016-01-19 10:14:02 UTC
Description of problem:
The algorithm used to determine if a device is blacklisted in scsi_dev_info_list is buggy in kernels < 4.4 . As a consequence, some legitimate devices get blacklisted because of false positives.

This bug has been fixed by two patches by Alan Stern, already merged in 4.4. I am opening this report to ask for the backporting of the patches to kernel 4.3 for fedora 23: I have been applying the patch myself and compiling kernel rpms since august in the hope the fix will be eventually merged, but it ended up in 4.4 and I don't know if fedora 23 will switch to that kernel.

The git commit ids for the two patches are:
c42b3654f48bc06189a2d99629c9cf7bb79e8fe3
b704f70ce2003c8046d5c0128303aeeb0d93d890

See here for details:

https://git.kernel.org/cgit/linux/kernel/git/jejb/scsi.git/patch/?id=c42b3654f48bc06189a2d99629c9cf7bb79e8fe3
https://git.kernel.org/cgit/linux/kernel/git/jejb/scsi.git/patch/?id=b704f70ce2003c8046d5c0128303aeeb0d93d890


Version-Release number of selected component (if applicable):

Kernel 4.3.x and lower

How reproducible:

Always

Steps to Reproduce:
1. Connect a Inateck FD2003 docking station with two hard disks inserted.

Actual results:
Only the first hard disk is detected.

Expected results:
Both hard disks should be detected.


Additional info:

This device product string is made up by whitespaces. The current blacklist code matches it with entry
{"", "Scanner", "1.80", BLIST_NOLUN} 
and as a consequence it enables only the first logical unit of the device.

A more detailed explanation is provided in Alan Stern's comments in both the patches.

You can also read the original discussion between me and Alan Stern here:
http://comments.gmane.org/gmane.linux.usb.general/128504

Comment 1 Josh Boyer 2016-01-19 13:39:11 UTC
Thanks for the report and pointers to the discussion and patches.  I've added them to Fedora 23 git and they will be in the next build.

Comment 2 Fedora Update System 2016-01-20 12:15:27 UTC
kernel-4.3.3-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71868ce66

Comment 3 Fedora Update System 2016-01-20 21:58:21 UTC
kernel-4.3.3-303.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59fd603be

Comment 4 Fedora Update System 2016-01-21 06:24:24 UTC
kernel-4.3.3-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f71868ce66

Comment 5 Fedora Update System 2016-01-22 04:58:11 UTC
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59fd603be

Comment 6 Fedora Update System 2016-01-25 18:27:35 UTC
kernel-4.3.4-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d43766e33

Comment 7 Fedora Update System 2016-01-26 04:22:51 UTC
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d43766e33

Comment 8 Fedora Update System 2016-01-26 18:22:08 UTC
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-02-01 06:25:05 UTC
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.